org.apache.pdfbox.pdmodel.graphics.shading

## Class ShadingPaint<T extends PDShading>

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.shading.ShadingPaint<T>

Type Parameters:
  `T` - the actual PDShading class.

All Implemented Interfaces:
  Paint, Transparency

Direct Known Subclasses:
  AxialShadingPaint, RadialShadingPaint

    public abstract class ShadingPaint<T extends PDShading>
    extends Object
    implements Paint

This is base class for all PDShading-Paints to allow other low level libraries access to the shading source data. One user of this interface is the PdfBoxGraphics2D-adapter.

### Field Summary

Fields
`protected Matrix` `matrix`
`protected T` `shading`

### Fields inherited from interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

### Method Summary

All Methods Instance Methods Concrete Methods
`Matrix` `getMatrix()`
`T` `getShading()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.awt.Paint

`createContext`

### Methods inherited from interface java.awt.Transparency

`getTransparency`

### Field Detail

#### shading

    protected final T extends PDShading shading

#### matrix

    protected final Matrix matrix

### Method Detail

#### getShading

    public T getShading()

Returns:
  the PDShading of this paint

#### getMatrix

    public Matrix getMatrix()

Returns:
  the active Matrix of this paint